Skip to main content
POST
/
v1
/
video
/
generations
Generate video
curl --request POST \
  --url https://api.siray.ai/v1/video/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "character_orientation": "video",
  "image": "example_value",
  "keep_original_sound": false,
  "model": "kuaishou/kling-2.6-motion-control",
  "prompt": "example_value",
  "video": "example_value"
}
'
import requests

url = "https://api.siray.ai/v1/video/generations"

payload = {
"character_orientation": "video",
"image": "example_value",
"keep_original_sound": False,
"model": "kuaishou/kling-2.6-motion-control",
"prompt": "example_value",
"video": "example_value"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
character_orientation: 'video',
image: 'example_value',
keep_original_sound: false,
model: 'kuaishou/kling-2.6-motion-control',
prompt: 'example_value',
video: 'example_value'
})
};

fetch('https://api.siray.ai/v1/video/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": "success",
  "data": {
    "task_id": "<string>"
  },
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication using API key

Body

application/json

Request payload

Request format for video generation models

character_orientation
enum<string>
required

Controls whether the output character's orientation matches the reference image or video. 'video': orientation matches reference video - better for complex motions (max 30s). 'image': orientation matches reference image - better for following camera movements (max 10s).

Available options:
video,
image
image
string
required

Input image for generation, it can be data URL or image URL

model
enum<string>
required

Model name to use for the request

Available options:
kuaishou/kling-2.6-motion-control
prompt
string
required

Text prompt for generation

video
string
required

Reference sports video URL; support .mp4, .mov. Video file size must not exceed 10MB; both width and height must be >= 300px; duration 3-30 seconds.

keep_original_sound
boolean

Whether to keep the original sound in video generation

Response

200 - application/json

Successful response

Standard async task creation response

code
string
required

Status code returned by the service

Example:

"success"

data
object
required

Response payload containing task details

message
string
required

Additional information about the request result